
<form [formGroup]="loginForm" novalidate (ngSubmit)="onSubmit()" class="globale">
  <mat-card class="card">

    <!-- Title of the form -->
    <mat-card-header>
      <mat-card-title>Login Information</mat-card-title>
    </mat-card-header>

    <!-- Content of the form -->
    <mat-card-content>

      <!-- Username row -->
      <div class="row">
        <div class="col">
          <mat-form-field class="quarter-width">
            <input matInput placeholder="Username" formControlName="username">
            <mat-error *ngIf="loginForm.controls['username'].hasError('required')">
              Username is <strong>required</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>

      <!-- Password row -->
      <div class="row">
        <div class="col">
          <mat-form-field class="quarter-width">
            <input type="password" matInput placeholder="Password" formControlName="password">
            <mat-error *ngIf="loginForm.controls['password'].hasError('required')">
              Password is <strong>required</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>
    </mat-card-content>

    <!-- Bottom buttons container (mat-card-actions puts buttons to the bottom of the card) -->
    <mat-card-actions>
      <button mat-raised-button color="primary" type="submit" [disabled]="loginForm.invalid">Login</button>
      <button mat-raised-button color="accent" routerLink="../register" class="registerButton">Don't have an account yet? Register now!</button>
    </mat-card-actions>

  </mat-card>
</form>


